%global momorel 3

Name:           perl-XML-RSS
Version:        1.48
Release:        %{momorel}m%{?dist}
Summary:        Creates and updates RSS files
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/XML-RSS/
Source0:        http://www.cpan.org/authors/id/S/SH/SHLOMIF/XML-RSS-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.008
BuildRequires:  perl-DateTime
BuildRequires:  perl-DateTime-Format-Mail
BuildRequires:  perl-DateTime-Format-W3CDTF
BuildRequires:  perl-HTML-Parser
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Test-Manifest >= 0.9
BuildRequires:  perl-Test-Simple
BuildRequires:  perl-XML-Parser >= 2.23
Requires:       perl-DateTime
Requires:       perl-DateTime-Format-Mail
Requires:       perl-DateTime-Format-W3CDTF
Requires:       perl-HTML-Parser
Requires:       perl-XML-Parser >= 2.23
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides a basic framework for creating and maintaining RDF
Site Summary (RSS) files. This distribution also contains many examples
that allow you to generate HTML from an RSS, convert between 0.9, 0.91, and
1.0 version, and other nifty things. This might be helpful if you want to
include news feeds on your Web site from sources like Slashdot and
Freshmeat or if you want to syndicate your own content.

%prep
%setup -q -n XML-RSS-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes examples README testlib TODO
%{perl_vendorlib}/XML/RSS
%{perl_vendorlib}/XML/RSS.pm
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.48-3m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.48-2m)
- rebuild against perl-5.12.1

* Sat Apr 24 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.48-1m)
- update to 1.48
- Specfile re-generated by cpanspec 1.78.

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.47-2m)
- rebuild against perl-5.12.0

* Sat Dec 26 2009 NARITA Koichi <pulsar@omonga-linux.org>
- (1.47-1m)
- update to 1.47

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.46-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Oct 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.46-1m)
- update to 1.46

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.45-2m)
- rebuild against perl-5.10.1

* Sun Aug 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.45-1m)
- update to 1.45

* Sat Apr  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.44-1m)
- update to 1.44

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.43-2m)
- rebuild against rpm-4.6

* Sun Jan 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.43-1m)
- update to 1.43

* Wed Jan  7 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.42-1m)
- update to 1.42

* Sun Dec  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.41-1m)
- update to 1.41

* Tue Dec  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.40-1m)
- update to 1.40

* Sat Nov 29 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.38-1m)
- update to 1.38

* Fri Nov 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.37-1m)
- update to 1.37

* Sun Oct 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.36-1m)
- update to 1.36

* Sun Sep 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.35-1m)
- update to 1.35

* Sat Sep 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.34-1m)
- update to 1.34

* Sun Jun  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.33-1m)
- update to 1.33

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.32-2m)
- rebuild against gcc43

* Sun Feb 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.32-1m)
- update to 1.32

* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.31-1m)
- update to 1.31

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.22-2m)
- use vendor

* Wed Dec 20 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.22-1m)
- update to 1.22

* Sun Nov 19 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.20-1m)
- update to 1.20

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.12-1m)
- update to 1.12

* Thu Jun 29 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.10-1m)
- spec file was autogenerated
